Get a webhook endpoint
GET
/v1/webhook-endpoints/{id}
const url = 'https://api.inboxcnx.com/v1/webhook-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.inboxcnx.com/v1/webhook-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Returns one webhook endpoint of the caller application with its URL and subscribed events. The signing secret is never returned.
Requires the write:webhooks scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”The endpoint
Media typeapplication/json
object
id
required
string
url
required
string
description
required
string | null
events
required
Array<string>
createdAt
required
string
updatedAt
required
string
secret
string
Example
{ "id": "3f9a1c7e-2b4d-4e8f-a6c0-9d1e2f3a4b5c", "url": "https://hooks.example.com/inboxcnx", "description": "Production receiver", "events": [ "message.received", "grant.created" ], "createdAt": "2026-10-20T09:15:00.000Z", "updatedAt": "2026-10-20T09:15:00.000Z"}The credential lacks the write:webhooks scope
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}No such endpoint for the caller’s application
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}